Page MenuHomePhabricator

Read thumb sizes from siteinfo
Closed, ResolvedPublic

Description

Split from T45336.

Parsoid defaults to a thumbsize of 220px, which is the default for all WMF wikis. But really we should expose $wgThumbLimits[ $wgDefaultUserOptions['thumbsize'] ] in the siteinfo api end point, and then use that for rendering.

Event Timeline

cscott created this task.Feb 11 2015, 5:16 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a project: Parsoid.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 5:16 PM
ssastry triaged this task as Medium priority.Mar 4 2015, 9:48 PM
ssastry set Security to None.

Change 341023 had a related patch set uploaded (by arlolra):
[mediawiki/services/parsoid] T89262: Read thumb sizes from siteinfo

https://gerrit.wikimedia.org/r/341023

Change 341023 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T89262: Read thumb sizes from siteinfo

https://gerrit.wikimedia.org/r/341023

Arlolra closed this task as Resolved.Apr 19 2017, 11:03 PM
Arlolra claimed this task.